installer(8)

NAME
installer - Archiveopteryx installer.

SYNOPSIS
/usr/local/libexec/aox/installer [ -n ] [ -q ] [ -v ] ...

DESCRIPTION

This program does the following:

1. Creates a Unix group named aox.

2. Creates a Unix user named aox.

3. Creates a Postgres user named aox.

4. Creates a Postgres user named aoxsuper.

5. Creates a Postgres database named archiveopteryx owned by aoxsuper.

6. Loads the database schema and grants limited privileges to user aox.

7. Generates an initial configuration file.

8. Adjusts ownership and permissions if necessary.

installer should be run after jam install when installing from source.

By default, the address of the PostgreSQL server is derived from the compile-time DBADDRESS setting in the Jamsettings file (which is 127.0.0.1 by default). If the db-address variable is set in an existing configuration file, that value takes precedence. If the -a command-line flag is used, then the address specified has precedence over either of the former values.

If the server address (as determined above) is 127.0.0.1, the installer will try to use a Unix domain socket to connect to the server. The location of this socket is determined by the -s socket command-line argument. If no socket is specified, the default named socket location ( /tmp/.s.PGSQL.5432) is used instead. For any other server address, the installer will try to use a Unix domain socket only if one is explicitly specified with -s. In any case, if password authentication is to be used when talking to the server, the -P option will cause the installer to prompt for the password.

OPTIONS

-q  Suppresses all normal output.

-v  Makes the output more verbose (may be repeated).

-n  Causes the program to report what it would do, but not actually do anything.

-g group
    Allows you to specify a Unix group other than the default of aox.

-u user
    Allows you to specify a Unix username other than the default of aox.

-p postgres
    Allows you to specify the name of the PostgreSQL superuser. The default is to try $PGUSER (if set), postgres and pgsql in turn.

-P  Instructs the installer to prompt for and read the PostgreSQL superuser's password, and be prepared to use that for authentication (if necessary).

-a address
    Allows you to specify a different address for the Postgres server. The default is 127.0.0.1.

-s /path/to/socket
    Allows you to specify a location for the PostgreSQL server's Unix-domain listening socket. The specified value is used as described above.

-t port
    Allows you to specify a different port for the Postgres server. The default is 5432. (This value is used only if the server address does not refer to a Unix socket.)

-d dbname
    Allows you to specify a database to use. The default is archiveopteryx.

-S schema
    Allows you to specify a schema where the Archiveopteryx database objects will be installed. If this is not specified, objects are installed into the public schema.

    Please do not use -S unless you are sure you understand all its implications. It is safe to ignore it entirely if you don't.

The defaults come from Jamsettings.

DIAGNOSTICS
The return code is zero if all goes well, and a non-zero in case of errors. Disasters are logged via stderr.

AUTHOR
The Archiveopteryx Developers, info@aox.org.

VERSION
This man page covers Archiveopteryx version 3.1.3, released 2010-03-10, http://www.archiveopteryx.org/3.1.3

SEE ALSO
archiveopteryx(8), archiveopteryx.conf(5), logd(8), tlsproxy(8), http://www.archiveopteryx.org